|  | Home · All Classes · Modules

# QFile.FileHandleFlags Class Reference
[QtCore module]

### Methods

- __init__ (self)
- __init__ (self, int f)
- __init__ (self, FileHandleFlags)

### Special Methods

- FileHandleFlags __and__ (self, int f)
- int __bool__ (self)
- bool __eq__ (self, FileHandleFlags f)
- FileHandleFlags __iand__ (self, int f)
- int __int__ (self)
- FileHandleFlags __invert__ (self)
- FileHandleFlags __ior__ (self, int f)
- FileHandleFlags __ixor__ (self, int f)
- bool __ne__ (self, FileHandleFlags f)
- FileHandleFlags __or__ (self, int f)
- FileHandleFlags __xor__ (self, int f)

## Detailed Description

## Method Documentation

### FileHandleFlags.__init__ (self)

### FileHandleFlags.__init__ (self, int f)

### FileHandleFlags.__init__ (self, FileHandleFlags)

### FileHandleFlags FileHandleFlags.__and__ (self, int f)

### int FileHandleFlags.__bool__ (self)

### bool FileHandleFlags.__eq__ (self, FileHandleFlags f)

### FileHandleFlags FileHandleFlags.__iand__ (self, int f)

### int FileHandleFlags.__int__ (self)

### FileHandleFlags FileHandleFlags.__invert__ (self)

### FileHandleFlags FileHandleFlags.__ior__ (self, int f)

### FileHandleFlags FileHandleFlags.__ixor__ (self, int f)

### bool FileHandleFlags.__ne__ (self, FileHandleFlags f)

### FileHandleFlags FileHandleFlags.__or__ (self, int f)

### FileHandleFlags FileHandleFlags.__xor__ (self, int f)